Index: DataLoader/readers/cansas_reader.py
===================================================================
--- DataLoader/readers/cansas_reader.py	(revision 74060405338e1db07021b0c80bf9186fef5846d6)
+++ DataLoader/readers/cansas_reader.py	(revision a7a5886e7fa30dd75a5a77d68a58574c9246f27f)
@@ -752,7 +868,9 @@
                         try:
                             conv = Converter(units)
-                            exec "storage.%s = %g" % (variable, conv(value, units=local_unit))
+                            exec "storage.%s = %g" % (variable,
+                                            conv(value, units=local_unit))
                         except:
-                            err_mess = "CanSAS reader: could not convert %s unit [%s]; expecting [%s]\n  %s" \
+                            err_mess = "CanSAS reader: could not convert"
+                            err_mess += " %s unit [%s]; expecting [%s]\n  %s" \
                                 % (variable, units, local_unit, sys.exc_value)
                             self.errors.append(err_mess)
@@ -762,6 +880,7 @@
                                 raise ValueError, err_mess 
                     else:
-                        err_mess = "CanSAS reader: unrecognized %s unit [%s]; expecting [%s]" \
-                            % (variable, units, local_unit)
+                        err_mess = "CanSAS reader: unrecognized %s unit [%s];"
+                        err_mess += " expecting [%s]" % (variable, 
+                                                         units, local_unit)
                         self.errors.append(err_mess)
                         if optional:
Index: DataLoader/readers/danse_reader.py
===================================================================
--- DataLoader/readers/danse_reader.py	(revision 0997158f0d11874fd896ee66b3bb468898c9bb2b)
+++ DataLoader/readers/danse_reader.py	(revision a7a5886e7fa30dd75a5a77d68a58574c9246f27f)
@@ -18,5 +18,5 @@
 import math
 import os
-import copy
+#import copy
 import numpy
 import logging
@@ -50,14 +50,13 @@
         read_it = False
         for item in self.ext:
-            if filename.lower().find(item)>=0:
+            if filename.lower().find(item) >= 0:
                 read_it = True
                 
         if read_it:
             try:
-                 datafile = open(filename, 'r')
+                datafile = open(filename, 'r')
             except :
-                raise  RuntimeError,"danse_reader cannot open %s"%(filename)
-            
-            
+                raise  RuntimeError,"danse_reader cannot open %s" % (filename)
+        
             # defaults
             # wavelength in Angstrom
@@ -84,5 +83,5 @@
             
             output.data = numpy.zeros([size_x,size_y])
-            output.err_data = numpy.zeros([size_x,size_y])
+            output.err_data = numpy.zeros([size_x, size_y])
             
             data_conv_q = None
@@ -102,23 +101,23 @@
             while read_on:
                 line = datafile.readline()
-                if line.find("DATA:")>=0:
+                if line.find("DATA:") >= 0:
                     read_on = False
                     break
                 toks = line.split(':')
-                if toks[0]=="FORMATVERSION":
+                if toks[0] == "FORMATVERSION":
                     fversion = float(toks[1])
-                if toks[0]=="WAVELENGTH":    
+                if toks[0] == "WAVELENGTH":    
                     wavelength = float(toks[1])                
-                elif toks[0]=="DISTANCE":
+                elif toks[0] == "DISTANCE":
                     distance = float(toks[1])
-                elif toks[0]=="CENTER_X":
+                elif toks[0] == "CENTER_X":
                     center_x = float(toks[1])
-                elif toks[0]=="CENTER_Y":
+                elif toks[0] == "CENTER_Y":
                     center_y = float(toks[1])
-                elif toks[0]=="PIXELSIZE":
+                elif toks[0] == "PIXELSIZE":
                     pixel = float(toks[1])
-                elif toks[0]=="SIZE_X":
+                elif toks[0] == "SIZE_X":
                     size_x = int(toks[1])
-                elif toks[0]=="SIZE_Y":
+                elif toks[0] == "SIZE_Y":
                     size_y = int(toks[1])
             
@@ -126,5 +125,5 @@
             data = []
             error = []
-            if fversion==1.0:
+            if fversion == 1.0:
                 data_str = datafile.readline()
                 data = data_str.split(' ')
@@ -133,5 +132,5 @@
                 while read_on:
                     data_str = datafile.readline()
-                    if len(data_str)==0:
+                    if len(data_str) == 0:
                         read_on = False
                     else:
@@ -146,5 +145,6 @@
                             error.append(err)
                         except:
-                            logging.info("Skipping line:%s,%s" %( data_str,sys.exc_value))
+                            logging.info("Skipping line:%s,%s" %( data_str,
+                                                                sys.exc_value))
             
             # Initialize 
@@ -158,8 +158,8 @@
             # Qx and Qy vectors
             theta = pixel / distance / 100.0
-            stepq = 4.0*math.pi/wavelength * math.sin(theta/2.0) 
+            stepq = 4.0 * math.pi/wavelength * math.sin(theta/2.0) 
             for i_x in range(size_x):
-                theta = (i_x-center_x+1)*pixel / distance / 100.0
-                qx = 4.0*math.pi/wavelength * math.sin(theta/2.0)
+                theta = (i_x - center_x + 1) * pixel / distance / 100.0
+                qx = 4.0 * math.pi / wavelength * math.sin(theta/2.0)
                 
                 if has_converter == True and output.Q_unit != '1/A':
@@ -167,7 +167,7 @@
                 
                 x_vals.append(qx)
-                if xmin==None or qx<xmin:
+                if xmin == None or qx < xmin:
                     xmin = qx
-                if xmax==None or qx>xmax:
+                if xmax == None or qx > xmax:
                     xmax = qx
             
@@ -175,6 +175,6 @@
             ymax = None
             for i_y in range(size_y):
-                theta = (i_y-center_y+1)*pixel / distance / 100.0
-                qy = 4.0*math.pi/wavelength * math.sin(theta/2.0)
+                theta = (i_y - center_y + 1) * pixel / distance / 100.0
+                qy = 4.0 * math.pi/wavelength * math.sin(theta/2.0)
                 
                 if has_converter == True and output.Q_unit != '1/A':
@@ -182,7 +182,7 @@
                 
                 y_vals.append(qy)
-                if ymin==None or qy<ymin:
+                if ymin == None or qy < ymin:
                     ymin = qy
-                if ymax==None or qy>ymax:
+                if ymax == None or qy > ymax:
                     ymax = qy
             
@@ -198,8 +198,10 @@
                     # For version 1.0, the data were still
                     # stored as strings at this point.
-                    logging.info("Skipping entry (v1.0):%s,%s" %(str(data[i_pt]), sys.exc_value))
+                    msg = "Skipping entry (v1.0):%s,%s" %(str(data[i_pt]),
+                                                           sys.exc_value)
+                    logging.info(msg)
                 
                 # Get bin number
-                if math.fmod(i_pt, size_x)==0:
+                if math.fmod(i_pt, size_x) == 0:
                     i_x = 0
                     i_y += 1
@@ -213,14 +215,15 @@
                     #output.err_data[size_y-1-i_y][i_x] = error[i_pt]
                 
-                
+
             # Store all data 
             # Store wavelength
-            if has_converter==True and output.source.wavelength_unit != 'A':
+            if has_converter == True and output.source.wavelength_unit != 'A':
                 conv = Converter('A')
-                wavelength = conv(wavelength, units=output.source.wavelength_unit)
+                wavelength = conv(wavelength,
+                                  units=output.source.wavelength_unit)
             output.source.wavelength = wavelength
                 
             # Store distance
-            if has_converter==True and detector.distance_unit != 'm':
+            if has_converter == True and detector.distance_unit != 'm':
                 conv = Converter('m')
                 distance = conv(distance, units=detector.distance_unit)
@@ -228,5 +231,5 @@
             
             # Store pixel size
-            if has_converter==True and detector.pixel_size_unit != 'mm':
+            if has_converter == True and detector.pixel_size_unit != 'mm':
                 conv = Converter('mm')
                 pixel = conv(pixel, units=detector.pixel_size_unit)
@@ -239,8 +242,8 @@
             
             # Store limits of the image (2D array)
-            xmin    =xmin-stepq/2.0
-            xmax    =xmax+stepq/2.0
-            ymin    =ymin-stepq/2.0
-            ymax    =ymax+stepq/2.0
+            xmin = xmin - stepq / 2.0
+            xmax = xmax + stepq / 2.0
+            ymin = ymin - stepq  /2.0
+            ymax = ymax + stepq / 2.0
             
             if has_converter == True and output.Q_unit != '1/A':
@@ -271,8 +274,9 @@
                 output.zaxis("\\rm{Intensity}","cm^{-1}")
            
-            if not fversion>=1.0:
-                raise ValueError,"Danse_reader can't read this file %s"%filename
-            else:
-                logging.info("Danse_reader Reading %s \n"%filename)
+            if not fversion >= 1.0:
+                msg = "Danse_reader can't read this file %s" % filename
+                raise ValueError, msg
+            else:
+                logging.info("Danse_reader Reading %s \n" % filename)
             
             # Store loading process information
Index: DataLoader/readers/hfir1d_reader.py
===================================================================
--- DataLoader/readers/hfir1d_reader.py	(revision 0997158f0d11874fd896ee66b3bb468898c9bb2b)
+++ DataLoader/readers/hfir1d_reader.py	(revision a7a5886e7fa30dd75a5a77d68a58574c9246f27f)
@@ -28,5 +28,5 @@
     type = ["HFIR 1D files (*.d1d)|*.d1d"]
     ## List of allowed extensions
-    ext=['.d1d']  
+    ext = ['.d1d']  
     
     def read(self, path):
@@ -87,5 +87,4 @@
                             _dy = data_conv_i(_dy, units=output.y_unit)                        
                                                     
-
                         x   = numpy.append(x, _x) 
                         y   = numpy.append(y, _y)
@@ -99,11 +98,13 @@
                 # Sanity check
                 if not len(y) == len(dy):
-                    raise RuntimeError, "hfir1d_reader: y and dy have different length"
+                    msg = "hfir1d_reader: y and dy have different length"
+                    raise RuntimeError, msg
                 if not len(x) == len(dx):
-                    raise RuntimeError, "hfir1d_reader: x and dx have different length"
+                    msg = "hfir1d_reader: x and dx have different length"
+                    raise RuntimeError, msg
 
                 # If the data length is zero, consider this as
                 # though we were not able to read the file.
-                if len(x)==0:
+                if len(x) == 0:
                     raise RuntimeError, "hfir1d_reader: could not load file"
                
Index: DataLoader/readers/red2d_reader.py
===================================================================
--- DataLoader/readers/red2d_reader.py	(revision d2539aa3818bfa10dd3c581e64ec1a07be708f63)
+++ DataLoader/readers/red2d_reader.py	(revision a7a5886e7fa30dd75a5a77d68a58574c9246f27f)
@@ -13,7 +13,9 @@
 
 
-import os, sys
+import os
+#import sys
 import numpy
-import math, logging
+import math
+#import logging
 from DataLoader.data_info import Data2D, Detector
 
@@ -121,7 +123,9 @@
                     wavelength = float(line_toks[1])
                     # Units
-                    if has_converter==True and output.source.wavelength_unit != 'A':
+                    if has_converter == True and \
+                    output.source.wavelength_unit != 'A':
                         conv = Converter('A')
-                        wavelength = conv(wavelength, units=output.source.wavelength_unit)
+                        wavelength = conv(wavelength,
+                                          units=output.source.wavelength_unit)
                 except:
                     #Not required
@@ -131,5 +135,5 @@
                     distance = float(line_toks[3])
                     # Units
-                    if has_converter==True and detector.distance_unit != 'm':
+                    if has_converter == True and detector.distance_unit != 'm':
                         conv = Converter('m')
                         distance = conv(distance, units=detector.distance_unit)
@@ -145,5 +149,5 @@
                     pass
                                             
-            if line.count("LAMBDA")>0:
+            if line.count("LAMBDA") > 0:
                 isInfo = True
                 
@@ -156,9 +160,9 @@
                 center_y = float(line_toks[1])
 
-            if line.count("BCENT")>0:
+            if line.count("BCENT") > 0:
                 isCenter = True
                        
             # Find data start
-            if line.count("Data columns") or line.count("ASCII data")>0:
+            if line.count("Data columns") or line.count("ASCII data") > 0:
                 dataStarted = True
                 continue
@@ -173,6 +177,4 @@
                 col_num = len(line_toks)
                 break
-
-        
         # Make numpy array to remove header lines using index
         lines_array = numpy.array(lines)
@@ -182,5 +184,5 @@
         
         # get the data lines
-        data_lines = lines_array[lines_index>=(line_num-1)]
+        data_lines = lines_array[lines_index >= (line_num - 1)]
         # Now we get the total number of rows (i.e., # of data points)
         row_num = len(data_lines)
@@ -190,6 +192,8 @@
         data_list = data_list.split()
  
-        # Check if the size is consistent with data, otherwise try the tab(\t) separator
-        # (this may be removed once get the confidence the former working all cases).
+        # Check if the size is consistent with data, otherwise 
+        #try the tab(\t) separator
+        # (this may be removed once get the confidence 
+        #the former working all cases).
         if len(data_list) != (len(data_lines)) * col_num:
             data_list = "\t".join(data_lines.tolist())
@@ -202,9 +206,11 @@
         # numpy array form
         data_array = numpy.array(data_list1)
-        # Redimesion based on the row_num and col_num, otherwise raise an error.
+        # Redimesion based on the row_num and col_num, 
+        #otherwise raise an error.
         try:
-            data_point = data_array.reshape(row_num,col_num).transpose()
+            data_point = data_array.reshape(row_num, col_num).transpose()
         except:
-            raise ValueError, "red2d_reader: Can't read this file: Not a proper file format"
+            msg = "red2d_reader: Can't read this file: Not a proper file format"
+            raise ValueError, msg
         
         ## Get the all data: Let's HARDcoding; Todo find better way
@@ -218,8 +224,8 @@
         qy_data = data_point[1]
         data = data_point[2]
-        if col_num >3: qz_data = data_point[3]
-        if col_num >4: dqx_data = data_point[4]
-        if col_num >5: dqy_data = data_point[5]
-        if col_num >6: mask[data_point[6]<1] = False
+        if col_num > 3: qz_data = data_point[3]
+        if col_num > 4: dqx_data = data_point[4]
+        if col_num > 5: dqy_data = data_point[5]
+        if col_num > 6: mask[data_point[6] < 1] = False
         q_data = numpy.sqrt(qx_data*qx_data+qy_data*qy_data+qz_data*qz_data)
            
@@ -291,5 +297,6 @@
         # optional data: if all of dq data == 0, do not pass to output
         if len(dqx_data) == len(qx_data) and dqx_data.any()!=0: 
-            # if no dqx_data, do not pass dqy_data.(1 axis dq is not supported yet).
+            # if no dqx_data, do not pass dqy_data.
+            #(1 axis dq is not supported yet).
             if len(dqy_data) == len(qy_data) and dqy_data.any()!=0:
                 output.dqx_data = dqx_data
Index: DataLoader/readers/tiff_reader.py
===================================================================
--- DataLoader/readers/tiff_reader.py	(revision 0997158f0d11874fd896ee66b3bb468898c9bb2b)
+++ DataLoader/readers/tiff_reader.py	(revision a7a5886e7fa30dd75a5a77d68a58574c9246f27f)
@@ -41,5 +41,6 @@
             import Image
         except:
-            raise RuntimeError, "tiff_reader: could not load file. Missing Image module."
+            msg = "tiff_reader: could not load file. Missing Image module."
+            raise RuntimeError, msg
         
         # Instantiate data object
